# Introduction

![Mongo-server](https://i.imgur.com/DJgIHcL.png)

Get a full REST API with **zero coding** in **less than 30 seconds** \(seriously\) Hyper-Heavily inspired on [json-server](https://github.com/typicode/json-server)

### Documentation

📖[Read Documentation](https://nomadas.gitbook.io/mongo-server/)

### Features

* [x] Automatic REST \(GET, POST, PATCH, PUT,  DELETE\).
* [x] Status monitor
* [x] Automatic Pagination, Sorting and Filters.
  * [x] Regex Queries
  * [x] Field Filtering
  * [x] Advanced filters \(i.e: not equals, greater than, etc\)
  * [ ] GeoSpatial queries
  * [x] Item counting
  * [x] Sorting
  * [x] Pagination
* [x] Automatic Population \(like SQL join\).
* [x] Automatic API documentation \(In Alpha\).
* [ ] Automatic Admin panel \(In development\).
* [x] Static Serving.
* [x] Input validation and output formatting.
* [x] Permission handling \(JWT based\).
* [ ] Built-in Authentication:
  * [x] Local.
  * [x] Magic links.
  * [x] Magic Codes.
  * [ ] Oauth \(Coming soon\).
  * [ ] Common providers: Facebook, google and Github \(Coming soon\).
* [x] DB seeding.
* [x] Mailing capabilities.
* [x] Security
  * [x] Helmet integration
  * [x] CORS
  * [ ] CSRF \(coming soon\).
  * [ ] Rate limit \(coming soon\).

## Some use cases

* [x] Quick Product prototyping
* [x] Headless CMS
* [x] test REST API

## License

MIT - [Fabian Enrique Gutierrez](https://github.com/fega)

